Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048775 - invalid key/value pair in /etc/udev/rules.d/80-docker.rules
Summary: invalid key/value pair in /etc/udev/rules.d/80-docker.rules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 10:35 UTC by Michael Young
Modified: 2014-07-01 22:59 UTC (History)
7 users (show)

Fixed In Version: docker-io-0.7.6-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-04 19:07:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Young 2014-01-06 10:35:11 UTC
I am getting warnings like
Jan  6 10:10:01 myhostname systemd-udevd: invalid key/value pair in file /etc/udev/rules.d/80-docker.rules on line 2,starting at character 138 ('\"')
in /var/log/messages. I think this is due to a missing quote in 80-docker.rules, and the line

SUBSYSTEM=="block", DEVPATH=="/devices/virtual/block/loop*", ATTR{loop/backing_file}=="/var/lib/docker/*, ENV{UDISKS_PRESENTATION_HIDE}="1", ENV{UDISKS_IGNORE}="1"

should be

SUBSYSTEM=="block", DEVPATH=="/devices/virtual/block/loop*", ATTR{loop/backing_file}=="/var/lib/docker/*", ENV{UDISKS_PRESENTATION_HIDE}="1", ENV{UDISKS_IGNORE}="1"

Comment 1 Lokesh Mandvekar 2014-01-06 15:31:39 UTC
whoops, apologies for that, pushing new build out in a bit

Comment 2 Lokesh Mandvekar 2014-01-06 15:34:15 UTC
Thanks for pointing this out Michael.

Looks like this crept in when I was unifying the rules for udisks 1 and 2. Upstream file in contrib looks ok, so it was just me :\

Comment 3 Fedora Update System 2014-01-06 16:57:52 UTC
docker-io-0.7.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.3-3.fc20

Comment 4 Fedora Update System 2014-01-06 17:06:49 UTC
docker-io-0.7.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.3-3.fc19

Comment 5 Fedora Update System 2014-01-06 18:05:23 UTC
docker-io-0.7.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.3-3.el6

Comment 6 Lokesh Mandvekar 2014-01-06 19:38:38 UTC
I realized I should be using contrib/udev/80-docker.rules instead of including it as a SourceN file (now that it made its way upstream). Anyway, that should be taken care of in a future release.

Let me know if things are solved with 0.7.3-3.

Comment 7 Fedora Update System 2014-01-07 01:22:46 UTC
Package docker-io-0.7.3-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing docker-io-0.7.3-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0057/docker-io-0.7.3-3.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-01-09 14:21:31 UTC
docker-io-0.7.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.4-1.fc20

Comment 9 Fedora Update System 2014-01-09 14:41:56 UTC
docker-io-0.7.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.4-1.fc19

Comment 10 Fedora Update System 2014-01-09 15:08:41 UTC
docker-io-0.7.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.4-1.el6

Comment 11 Fedora Update System 2014-01-10 00:14:01 UTC
docker-io-0.7.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.5-1.el6

Comment 12 Fedora Update System 2014-01-16 15:59:02 UTC
docker-io-0.7.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-1.fc20

Comment 13 Fedora Update System 2014-01-16 21:56:35 UTC
docker-io-0.7.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-1.fc19

Comment 14 Fedora Update System 2014-01-16 23:33:19 UTC
docker-io-0.7.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-1.el6

Comment 15 Fedora Update System 2014-01-20 23:10:19 UTC
docker-io-0.7.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-2.fc20

Comment 16 Fedora Update System 2014-01-20 23:26:42 UTC
docker-io-0.7.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-2.el6

Comment 17 Fedora Update System 2014-01-21 16:23:55 UTC
docker-io-0.7.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-2.fc19

Comment 18 Fedora Update System 2014-01-22 23:05:23 UTC
docker-io-0.7.6-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-4.fc20

Comment 19 Fedora Update System 2014-01-22 23:27:55 UTC
docker-io-0.7.6-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.6-4.fc19

Comment 20 Fedora Update System 2014-02-04 19:07:25 UTC
docker-io-0.7.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-02-06 03:51:47 UTC
docker-io-0.7.6-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-02-06 03:58:36 UTC
docker-io-0.7.6-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.